Notification handlers

GET https://meni.ba/api/notification-handlers/
curl --request GET \
--url 'https://meni.ba/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Detalji Opis
search Opcionalno String String za pretragu.
search_by Opcionalno String Polje po kojem se pretražuje. Dozvoljene vrijednosti su: name.
is_enabled Opcionalno Boolean
type Opcionalno String Polje po kojem se pretražuje. Dozvoljene vrijednosti su: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, internal_notification.
datetime_field Opcionalno String Dozvoljene vrijednosti: datetime, last_datetime
datetime_start Opcionalno String Filtriraj rezultate od ovog datuma/vremena. Format Y-m-d H:i:s.
datetime_end Opcionalno String Filtriraj rezultate do ovog datuma/vremena. Format Y-m-d H:i:s.
order_by Opcionalno String Polje po kojem se sortiraju rezultati. Dozvoljene vrijednosti su: notification_handler_id, datetime, last_datetime, name.
order_type Opcionalno String Sortiranje rezultata. Dozvoljene vrijednosti su: ASC za rastući redoslijed, i DESC za opadajući redoslijed.
search Opcionalno String String za pretragu.
search_by Opcionalno String Polje po kojem se pretražuje. Dozvoljene vrijednosti su: name.
is_enabled Opcionalno Boolean
type Opcionalno String Polje po kojem se pretražuje. Dozvoljene vrijednosti su: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, internal_notification.
datetime_field Opcionalno String Dozvoljene vrijednosti: datetime, last_datetime
datetime_start Opcionalno String Filtriraj rezultate od ovog datuma/vremena. Format Y-m-d H:i:s.
datetime_end Opcionalno String Filtriraj rezultate do ovog datuma/vremena. Format Y-m-d H:i:s.
order_by Opcionalno String Polje po kojem se sortiraju rezultati. Dozvoljene vrijednosti su: notification_handler_id, datetime, last_datetime, name.
order_type Opcionalno String Sortiranje rezultata. Dozvoljene vrijednosti su: ASC za rastući redoslijed, i DESC za opadajući redoslijed.
page Opcionalno Cijeli broj Broj stranice za rezultate. Zadana vrijednost je 1.
results_per_page Opcionalno Cijeli broj Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadana vrijednost je 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "Example",
            "name": "Example",
            "settings": {},
            "is_enabled": 1,
            "last_datetime": null,
            "datetime": "2026-10-27 18:50:37"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://meni.ba/api/notification-handlers?page=1",
        "last": "https://meni.ba/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://meni.ba/api/notification-handlers?page=1"
    }
}
GET https://meni.ba/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://meni.ba/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "settings": {},
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-27 18:50:37"
    }
}
POST https://meni.ba/api/notification-handlers
Parametri Detalji Opis
name Obavezno String -
type Obavezno String Dozvoljene vrijednosti: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, internal_notification
email Opcionalno String Dostupno kada: type = email Email
webhook Opcionalno String Dostupno kada: type = webhook Webhook URL
slack Opcionalno String Dostupno kada: type = slack Slack webhook URL
discord Opcionalno String Dostupno kada: type = discord Discord webhook URL
telegram Opcionalno String Dostupno kada: type = telegram Telegram API Token
telegram_chat_id Opcionalno String Dostupno kada: type = telegram Telegram Chat ID
microsoft_teams Opcionalno String Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL
google_chat Opcionalno String Dostupno kada: type = google_chat Google Chat webhook URL
push_subscriber_id Opcionalno String Dostupno kada: type = push_subscriber_id Push subscriber
curl --request POST \
--url 'https://meni.ba/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "settings": {},
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-27 18:50:37"
    }
}
POST https://meni.ba/api/notification-handlers/{notification_handler_id}
Parametri Detalji Opis
name Opcionalno String -
type Opcionalno String Dozvoljene vrijednosti: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, internal_notification
email Opcionalno String Dostupno kada: type = email Email
webhook Opcionalno String Dostupno kada: type = webhook Webhook URL
slack Opcionalno String Dostupno kada: type = slack Slack webhook URL
discord Opcionalno String Dostupno kada: type = discord Discord webhook URL
telegram Opcionalno String Dostupno kada: type = telegram Telegram API Token
telegram_chat_id Opcionalno String Dostupno kada: type = telegram Telegram Chat ID
microsoft_teams Opcionalno String Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL
google_chat Opcionalno String Dostupno kada: type = google_chat Google Chat webhook URL
push_subscriber_id Opcionalno String Dostupno kada: type = push_subscriber_id Push subscriber
is_enabled Opcionalno Boolean -
curl --request POST \
--url 'https://meni.ba/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "settings": {},
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-27 18:50:37"
    }
}
DELETE https://meni.ba/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://meni.ba/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \